diff mbox series

kernel/.gitignore: ignore temporary kheaders_data directory

Message ID 20230117-kernel-kheaders-gitignore-v1-1-2a3a070efd0d@weissschuh.net (mailing list archive)
State New, archived
Headers show
Series kernel/.gitignore: ignore temporary kheaders_data directory | expand

Commit Message

Thomas Weißschuh Jan. 17, 2023, 5:15 a.m. UTC
If the kheaders archive generation is interrupted then this directory
may be left. Ignore it, it will be deleted by the next run of
kernel/gen_kheaders.sh.

Signed-off-by: Thomas Weißschuh <linux@weissschuh.net>
---
 kernel/.gitignore | 1 +
 1 file changed, 1 insertion(+)


---
base-commit: d532dd102151cc69fcd00b13e5a9689b23c0c8d9
change-id: 20230117-kernel-kheaders-gitignore-f0d73456cb6b

Best regards,

Comments

Nicolas Schier Jan. 17, 2023, 8:34 a.m. UTC | #1
On Tue, Jan 17, 2023 at 05:15:25AM +0000, Thomas Weißschuh wrote:
> If the kheaders archive generation is interrupted then this directory
> may be left. Ignore it, it will be deleted by the next run of
> kernel/gen_kheaders.sh.
> 
> Signed-off-by: Thomas Weißschuh <linux@weissschuh.net>
> ---
>  kernel/.gitignore | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/kernel/.gitignore b/kernel/.gitignore
> index c6b299a6b786..57ab1d703763 100644
> --- a/kernel/.gitignore
> +++ b/kernel/.gitignore
> @@ -1,3 +1,4 @@
>  # SPDX-License-Identifier: GPL-2.0-only
>  /config_data
>  /kheaders.md5
> +/kheaders_data.tar.xz.tmp/

What about removing the temporary directory on failure instead?  E.g.:

diff --git a/kernel/gen_kheaders.sh b/kernel/gen_kheaders.sh
index 473036b43c83..c656b72a3cdc 100755
--- a/kernel/gen_kheaders.sh
+++ b/kernel/gen_kheaders.sh
@@ -61,6 +61,8 @@ echo "  GEN     $tarfile"
 rm -rf $cpio_dir
 mkdir $cpio_dir
 
+trap "rm -rf ${cpio_dir}" EXIT
+
 if [ "$building_out_of_srctree" ]; then
        (
                cd $srctree


Otherwise, I'd suggest to extent this .gitignore patch by also adding

   clean-files += kheaders_data.tar.xz.tmp/

to kernel/Makefile.

Kind regards,
Nicolas
Thomas Weißschuh Jan. 17, 2023, 1:52 p.m. UTC | #2
On Tue, Jan 17, 2023 at 09:34:01AM +0100, Nicolas Schier wrote:
> On Tue, Jan 17, 2023 at 05:15:25AM +0000, Thomas Weißschuh wrote:
> > If the kheaders archive generation is interrupted then this directory
> > may be left. Ignore it, it will be deleted by the next run of
> > kernel/gen_kheaders.sh.
> > 
> > Signed-off-by: Thomas Weißschuh <linux@weissschuh.net>
> > ---
> >  kernel/.gitignore | 1 +
> >  1 file changed, 1 insertion(+)
> > 
> > diff --git a/kernel/.gitignore b/kernel/.gitignore
> > index c6b299a6b786..57ab1d703763 100644
> > --- a/kernel/.gitignore
> > +++ b/kernel/.gitignore
> > @@ -1,3 +1,4 @@
> >  # SPDX-License-Identifier: GPL-2.0-only
> >  /config_data
> >  /kheaders.md5
> > +/kheaders_data.tar.xz.tmp/
> 
> What about removing the temporary directory on failure instead?  E.g.:
> 
> diff --git a/kernel/gen_kheaders.sh b/kernel/gen_kheaders.sh
> index 473036b43c83..c656b72a3cdc 100755
> --- a/kernel/gen_kheaders.sh
> +++ b/kernel/gen_kheaders.sh
> @@ -61,6 +61,8 @@ echo "  GEN     $tarfile"
>  rm -rf $cpio_dir
>  mkdir $cpio_dir
>  
> +trap "rm -rf ${cpio_dir}" EXIT
> +
>  if [ "$building_out_of_srctree" ]; then
>         (
>                 cd $srctree
> 
> 
> Otherwise, I'd suggest to extent this .gitignore patch by also adding
> 
>    clean-files += kheaders_data.tar.xz.tmp/
> 
> to kernel/Makefile.

Thanks for the suggestions.
I went with the clean-files aproach.
This allows the introspection of the directory on errors and seems to
match what is done elsewhere.

Thomas
diff mbox series

Patch

diff --git a/kernel/.gitignore b/kernel/.gitignore
index c6b299a6b786..57ab1d703763 100644
--- a/kernel/.gitignore
+++ b/kernel/.gitignore
@@ -1,3 +1,4 @@ 
 # SPDX-License-Identifier: GPL-2.0-only
 /config_data
 /kheaders.md5
+/kheaders_data.tar.xz.tmp/